﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Ukazka2Defektu.Stetce
{
    /// <summary>
    /// Interakční logika pro EfektImageBrushRastr.xaml
    /// </summary>
    public partial class EfektImageBrushRastr : UserControl
    {
        public EfektImageBrushRastr()
        {
            InitializeComponent();

            cbxMode.Items.Add("None");
            cbxMode.Items.Add("FlipX");
            cbxMode.Items.Add("FlipY");
            cbxMode.Items.Add("FlipXY");
            cbxMode.Items.Add("Tile");
            cbxMode.SelectedValue = "Tile";
        }

        /// <summary>
        /// Nastavení velikosti Viewportu 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ViewportX(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrViewportX != null && sdrViewportY != null)
            {
                imgVypln.Viewport = new Rect(new Point(0, 0), new Point(sdrViewportX.Value, sdrViewportY.Value));
            }
        }

        /// <summary>
        /// Nastavení velikosti Viewportu
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ViewportY(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrViewportX != null && sdrViewportY != null)
            {
                imgVypln.Viewport = new Rect(new Point(0, 0), new Point(sdrViewportX.Value, sdrViewportY.Value));
            }
        }

        /// <summary>
        /// Nastavení vlastnosti TileMode
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ZmenaMode(object sender, SelectionChangedEventArgs e)
        {
            if (cbxMode != null)
            {
                string vybrano = cbxMode.SelectedItem.ToString();
                switch (vybrano)
                {
                    case "None":
                        imgVypln.TileMode = TileMode.None;
                        break;
                    case "FlipX":
                        imgVypln.TileMode = TileMode.FlipX;
                        break;
                    case "FlipY":
                        imgVypln.TileMode = TileMode.FlipY;
                        break;
                    case "FlipXY":
                        imgVypln.TileMode = TileMode.FlipXY;
                        break;
                    case "Tile":
                        imgVypln.TileMode = TileMode.Tile;
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
