﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Ukazka2Defektu.Stetce
{
    /// <summary>
    /// Interakční logika pro EfektRadialGradientBrush.xaml
    /// </summary>
    public partial class EfektRadialGradientBrush : UserControl
    {
        public EfektRadialGradientBrush()
        {
            InitializeComponent();

            cbxSpread.Items.Add("Pad");
            cbxSpread.Items.Add("Reflect");
            cbxSpread.Items.Add("Repeat");
            cbxSpread.SelectedValue = "Pad";
        }

        /// <summary>
        /// Nastavení vlastnosti GradientOrigin
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavGOx(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radialni.GradientOrigin = new Point(sdrGOx.Value, radialni.GradientOrigin.Y);
        }

        /// <summary>
        /// Nastavení vlastnosti GradientOrigin
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavGOy(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radialni.GradientOrigin = new Point(radialni.GradientOrigin.X, sdrGOy.Value);
        }

        /// <summary>
        /// Nastavení vlastnosti Center
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavCenterX(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radialni.Center = new Point(sdrCenterX.Value, radialni.Center.Y);
        }

        /// <summary>
        /// Nastavení vlastnosti Center
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavCenterY(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radialni.Center = new Point(radialni.Center.X, sdrCenterY.Value);
        }

        /// <summary>
        /// Nastavení vlastnosti SpreadMethod
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ZmenaSpread(object sender, SelectionChangedEventArgs e)
        {
            if (cbxSpread != null)
            {
                string vybrano = cbxSpread.SelectedItem.ToString();
                switch (vybrano)
                {
                    case "Pad":
                        radialni.SpreadMethod = GradientSpreadMethod.Pad;
                        break;
                    case "Reflect":
                        radialni.SpreadMethod = GradientSpreadMethod.Reflect;
                        break;
                    case "Repeat":
                        radialni.SpreadMethod = GradientSpreadMethod.Repeat;
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
